Name:			osmo
Version:		0.2.0
Release:		2%{?dist}
Summary:		Personal organizer
Summary(pl):		Osobisty organizer

Group:			Applications/Productivity
License:		GPLv2+
URL:			http://clay.ll.pl/osmo/
Source0:		http://downloads.sourceforge.net/%{name}-pim/%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		libxml2-devel gtk2-devel gettext desktop-file-utils libical-devel
BuildRequires:		libgringotts-devel

%description
Osmo is a handy personal organizer which includes 
calendar, tasks manager and address book modules. 
It was designed to be a small, easy to use 
and good looking PIM tool to help to manage 
personal information. In current state the organizer 
is quite convenient in use - for example, user 
can perform nearly all operations using keyboard. 
Also, a lot of parameters are configurable 
to meet user preferences.

%description		-l pl
Osmo to podręczny organizer, zawierający kalendarz, 
menedżer zadań i książkę adresową. W zamierzeniu był małym, 
prostym w obsłudze i dobrze wyglądającym 
menedżerem informacji osobistych.
Osmo jest bardzo wygodny - niemal wszystkie operacje 
można wykonać za pomocą klawiatury.
Program udostępnia wiele opcji, które użytkownik może 
zmienić, by program bardziej mu odpowiadał.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
desktop-file-install --vendor="fedora" \
			--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
			--delete-original \
			${RPM_BUILD_ROOT}%{_datadir}/applications/osmo.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc TRANSLATORS AUTHORS COPYING ChangeLog README
%{_datadir}/pixmaps/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_bindir}/osmo


%changelog
* Sun Feb 24 2008 David Nielsen <gnomeuser@gmail.com> - 0.2.0-2
- Rebuild for new libical

* Sat Feb 09 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.2.0-1
- Mass rebuild for new GCC... Done
- Version jump... Updated

* Mon Dec 24 2007 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.1.6-1
- Christmas gift: new version... Updated
- Some indents to make more readable... Added

* Tue Dec 04 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.4-1
- Version jump

* Fri Nov 23 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-7
- Make flags... Fixed

* Wed Nov 21 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-6
- Desktop file name... Fixed
- RPM_OPT_FLAGS... Fixed [without bumping new release]

* Wed Nov 21 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-5
- Make flags... Fixed

* Wed Nov 21 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-4
- Make flags... Fixed
- Desktop file installation... Fixed
- Pixmaps directory owning... Fixed

* Tue Nov 20 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-3
- Doubled translations... Fixed
- Timestamps... Fixed

* Sun Nov 18 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-2
- Forgot about translations... Fixed
- Wrong icon path in osmo.desktop... Fixed

* Sun Nov 18 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-1
- Initial release
